Bug 132413 - awesfx isn't built on AMD64
awesfx isn't built on AMD64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: awesfx (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-12 20:26 EDT by Nicholas Miell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-17 05:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2004-09-12 20:26:49 EDT
Summary says it all.

Any platform that supports PCI can potentially use a soundcard that
requires the loading of SoundFonts. AMD64 is one of them.
Comment 1 Bill Nottingham 2004-09-13 12:22:52 EDT
AWE cards are ISA. Unless there's some new one I haven't heard about.
Comment 2 Nicholas Miell 2004-09-13 17:55:28 EDT
My SoundBlaster PCI 512 requires sfxload to load SoundFonts for the
MIDI sequencer to be useful. I think all of the other emu10k1 based
cards do as well.
Comment 3 Bill Nottingham 2004-09-13 18:15:03 EDT
Hm.

awesfx as it is builts now probably doesn't even work on ALSA, much
less x86-64.
Comment 4 Nicholas Miell 2004-09-13 18:34:22 EDT
I'm using it with ALSA on AMD64 right now. It works fine. (sfxload,
anyway). 

AFAIK, there is no native SoundFont loader for ALSA, but the OSS
emulation works.
Comment 5 Bill Nottingham 2004-09-13 18:49:56 EDT
If you remove snd-seq-oss does it work? (I'd assume not.)
Comment 6 Nicholas Miell 2004-09-13 19:15:15 EDT
It works fine. snd-seq-oss gets autoloaded when sfxload opens
/dev/sequencer, thanks to the defaults in /etc/modprobe.conf.dist
Comment 7 Nicholas Miell 2005-02-09 18:06:44 EST
awesfx 0.5.0d comes with asfxload, which loads SoundFonts using ALSA.

Note You need to log in before you can comment on or make changes to this bug.